#include <bits/stdc++.h>

using namespace std;

bool grater (string s1, string s2)
{
    for(int i = 0; i<s1.size(); i++) {
        if( (int)s1[i] < (int)s2[i] )
            return false;
        if( (int)s1[i] > (int)s2[i] )
            return true;
    }

    return true;
}

int main()
{
    ios::sync_with_stdio(false);

    int n; cin>>n;
    string s = "";

    for(int i = 0; i<n; i++) {
        int x; cin>>x;
        s.push_back((char)(x+48));
    }

    string best = s;
    swap(best[0], best[1]);

    string temp;
    for(int i = 0; i<n-1; i++) {
        for(int j = i+1; j<n; j++) {
            temp = s;
            swap(temp[i],temp[j]);

            if(grater(temp,best))
                best = temp;
        }
    }

    for(int i = 0; i<n; i++) cout<<best[i]<<" ";

    return 0;
}